<?php
/*
Plugin Name: Comments on Albums
Version: 1.0
Description: Activate comments on albums pages
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=512
Author: Mistic
Author URI: http://www.strangeplanet.fr
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable;

// +-----------------------------------------------------------------------+
//					Global variables
// +-----------------------------------------------------------------------+
define('COA_NAME' , 'Comments on Albums');
define('COA_VERSION', '1.0');
define('COA_DIR' , basename(dirname(__FILE__)));
define('COA_PATH' , PHPWG_PLUGINS_PATH . COA_DIR . '/');
define('COA_TABLE' , $prefixeTable . 'comments_categories');
define('COA_ADMIN', get_root_url().'admin.php?page=plugin-' . COA_DIR);


// +-----------------------------------------------------------------------+
//					Triggers
// +-----------------------------------------------------------------------+
add_event_handler('loc_end_index', 'COA_index');
add_event_handler('loc_after_page_header', 'COA_comments_page');
add_event_handler('loc_end_admin', 'COA_admin');
add_event_handler('get_admin_plugin_menu_links', 'COA_admin_menu');


// +-----------------------------------------------------------------------+
//					Functions
// +-----------------------------------------------------------------------+

function COA_index() {
	global $template, $page, $conf, $pwg_loaded_plugins;
	
	if ($page['section'] == 'categories' AND isset($page['category'])) {	
		if (isset($pwg_loaded_plugins['bbcode_bar'])) set_bbcode_bar();
		else if (isset($pwg_loaded_plugins['SmiliesSupport']))set_smiliessupport_page();
		
		include(COA_PATH . 'include/coa_albums.php');
	}
}

function COA_comments_page() {
	global $template, $page, $conf;
	
	if ($page['body_id'] == 'theCommentsPage') {
		include(COA_PATH . 'include/coa_comments_page.php');
	}
}

function COA_admin() {
	global $template, $page, $conf;
	
	if ($page['page'] == 'comments') {	
		include(COA_PATH . 'include/coa_admin_comments.php');
	} else if ($page['page'] == 'intro') {	
		include(COA_PATH . 'include/coa_admin_intro.php');
	} 
}

function COA_admin_menu($menu) {
	array_push($menu, array(
		'NAME' => COA_NAME,
		'URL' => COA_ADMIN
	));
	return $menu;
}

?>