<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// Default configuration
define('default_config', serialize(array(
	'icon_color' => 'outline_ff3363.png',
	'icon_color_over' => 'outline_ff7700.png',
)));

// Installation
function plugin_install() {
	global $prefixeTable;

	pwg_query("CREATE TABLE `" . $prefixeTable . "comments_categories` (
		`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
		`category_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
		`date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
		`author` varchar(255) DEFAULT NULL,
		`author_id` smallint(5) DEFAULT NULL,
		`content` longtext,
		`validated` enum('true','false') NOT NULL DEFAULT 'false',
		`validation_date` datetime DEFAULT NULL,
		PRIMARY KEY (`id`)
	) DEFAULT CHARSET=utf8;");
	
	pwg_query("INSERT INTO " . CONFIG_TABLE . "(param,value,comment) VALUES('comments_on_albums', '" . default_config . "', 'Parametres du plugin Comments on Albums');");
}

// Uninstallation
function plugin_uninstall() {
	global $prefixeTable;

	pwg_query("DROP TABLE `" . $prefixeTable . "comments_categories`;");
	pwg_query("DELETE FROM " . CONFIG_TABLE . " WHERE `param` = 'comments_on_albums';");
}
?>