{* this is inspired by theme/defaults/template/picture.tpl *}
	
{combine_script id="jquery"}
{combine_css path=$COA_PATH|@cat:'template/style_albums.css'}
{if $themeconf.name == 'Sylvia'}{combine_css path=$COA_PATH|@cat:'template/style_albums_sylvia.css'}{/if}

<a name="comments"></a>
<div id="comments">
	{if $COMMENT_COUNT > 0}
		<h3>{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
	{/if}

	{if isset($comments)}
		{include file='comment_list.tpl'}
	{/if}
	
	{if !empty($comment_navbar)}{include file=$COA_ABSOLUTE_PATH|@cat:'template/navigation_bar.tpl'}{/if}

	{if isset($comment_add)}
	<form method="post" action="{$comment_add.F_ACTION}" class="filter" id="addComment">
		<fieldset>
			<legend>{'Add a comment'|@translate}</legend>
			{if $comment_add.SHOW_AUTHOR}
				<label>{'Author'|@translate}<input type="text" name="author"></label>
			{/if}
			<label>{'Comment'|@translate}<textarea name="content" id="contentid" rows="5" cols="80">{$comment_add.CONTENT}</textarea></label>
			<input type="hidden" name="key" value="{$comment_add.KEY}">
			<input type="submit" value="{'Submit'|@translate}">
		</fieldset>
	</form>
	{/if}
</div>