{* this is a copy of theme/defaults/template/comments.tpl a bit modified *}
	
{combine_css path=$COA_PATH|@cat:'template/style_comments.css'}

{html_head}
	<style type="text/css">
		.pwg-icon-comments-images {ldelim}
			background-image: url({$COA_PATH}template/s26/{$ICON_COLOR});
			background-position: 0 0;
		}
		a:hover .pwg-icon-comments-images {ldelim}
			background-image: url({$COA_PATH}template/s26/{$ICON_COLOR_OVER});
			background-position: 0 0;
		}
	</style>
{/html_head}

<div id="content" class="content">

<div class="titrePage">
	<ul class="categoryActions">
		<li><a href="comments.php" title="{'COA_comments_photos'|@translate}" class="pwg-state-default pwg-button">
			<span class="pwg-icon pwg-icon-comments-images">&nbsp;</span><span class="pwg-button-text">{'COA_comments_photos'|@translate}</span>
		</a></li>
		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
		</a></li>
	</ul>
	<h2>{'User comments'|@translate}</h2>
</div>

<form class="filter" action="{$F_ACTION}?display_mode=albums" method="get">

  <fieldset>
    <legend>{'Filter'|@translate}</legend>

    <label>{'Keyword'|@translate}<input type="text" name="keyword" value="{$F_KEYWORD}"></label>

    <label>{'Author'|@translate}<input type="text" name="author" value="{$F_AUTHOR}"></label>

    <label>
      {'Album'|@translate}
      <select name="cat">
        <option value="0">------------</option>
        {html_options options=$categories selected=$categories_selected}
      </select>
    </label>

    <label>
      {'Since'|@translate}
      <select name="since">
        {html_options options=$since_options selected=$since_options_selected}
      </select>
    </label>

  </fieldset>

  <fieldset>

    <legend>{'Display'|@translate}</legend>

    <label>
      {'Sort by'|@translate}
      <select name="sort_by">
        {html_options options=$sort_by_options selected=$sort_by_options_selected}
      </select>
    </label>

    <label>
      {'Sort order'|@translate}
      <select name="sort_order">
        {html_options options=$sort_order_options selected=$sort_order_options_selected}
      </select>
    </label>

    <label>
      {'Number of items'|@translate}
      <select name="items_number">
        {html_options options=$item_number_options selected=$item_number_options_selected}
      </select>
    </label>

  </fieldset>

  <input type="hidden" name="display_mode" value="albums"/>
  <p><input class="submit" type="submit" value="{'Filter and display'|@translate}"></p>

</form>
 
{if !empty($navbar) }{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}

{if isset($comments)}
<div id="comments">
	{include file='comment_list.tpl'}
</div>
{/if}

</div> <!-- content -->

